Index: lib/matplotlib/texmanager.py
===================================================================
--- lib/matplotlib/texmanager.py	(revision 6055)
+++ lib/matplotlib/texmanager.py	(working copy)
@@ -236,6 +236,12 @@
         else:
             unicode_preamble = ''
 
+
+
+        # newbox, setbox, immediate, etc. are used to find the box
+        # extent of the rendered text.
+
+
         s = r"""\documentclass{article}
 %s
 %s
@@ -243,7 +249,10 @@
 \usepackage[papersize={72in,72in}, body={70in,70in}, margin={1in,1in}]{geometry}
 \pagestyle{empty}
 \begin{document}
-\fontsize{%f}{%f}%s
+\newbox\MatplotlibBox%%
+\setbox\MatplotlibBox=\hbox{{\fontsize{%f}{%f}%s}}%%
+\copy\MatplotlibBox
+\immediate\write16{MatplotlibBox:\the\wd\MatplotlibBox,\the\ht\MatplotlibBox,\the\dp\MatplotlibBox}%%
 \end{document}
 """ % (self._font_preamble, unicode_preamble, custom_preamble,
        fontsize, fontsize*1.25, tex)
@@ -283,6 +292,14 @@
                 fh = file(outfile)
                 report = fh.read()
                 fh.close()
+
+                # find the box extent information in the latex output
+                # file and save them in basefile+".baseline" file
+                si = report.find("MatplotlibBox:")
+                ssi = si + len("MatplotlibBox:")
+                ei = report.find("\n", ssi)
+                open(basefile+'.baseline',"w").write(report[ssi:ei])
+                
             except IOError:
                 report = 'No latex error report available.'
             if exit_status:
@@ -292,6 +309,7 @@
             for fname in glob.glob(basefile+'*'):
                 if fname.endswith('dvi'): pass
                 elif fname.endswith('tex'): pass
+                elif fname.endswith('baseline'): pass
                 else:
                     try: os.remove(fname)
                     except OSError: pass
@@ -441,3 +459,22 @@
             self.rgba_arrayd[key] = Z
 
         return Z
+
+
+    def get_text_width_height_descent(self, tex, fontsize):
+        """
+        return text size in point
+        """
+        basefile = self.get_basefile(tex, fontsize)
+        baselinefile = '%s.baseline'% basefile
+
+
+        if DEBUG or not os.path.exists(baselinefile):
+            dvifile = self.make_dvi(tex, fontsize)
+
+        # width, height, depth of the bpx
+        # depth = descent, and height does not include depth
+        l = open(baselinefile).read().split(",")
+        width, height, depth = [float(l1[:-2]) for l1 in l] # get rid of "pt"
+
+        return width, height+depth, depth
